## gdk-pixbuf 2.44.4+dfsg

=== debian/changelog ===
gdk-pixbuf (2.44.4+dfsg-3) experimental; urgency=medium

  * Enable the legacy non-glycin XPM & XBM loaders for glycin architectures
    (Closes: #1120607)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Nov 2025 22:37:30 -0500

gdk-pixbuf (2.44.4+dfsg-2) experimental; urgency=medium

  * Switch to glycin for release architectures and loong64 except i386
    (Closes: #1116981, #1071271) (LP: #2122289)
  * Depend on glycin-thumbnailers on those architectures
  * libgdk-pixbuf2.0-bin no longer contains a thumbnailer on those
    architectures, but still contains gdk-pixbuf-pixdata and
    gdk-pixbuf-csource, so stop recommending it on those architectures
  * Use dh-exec to manage architecture-specific install rules
  * Follow Fedora's example and disable auto features

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Nov 2025 07:06:13 -0500

gdk-pixbuf (2.44.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Remove bitmap patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Oct 2025 13:28:37 -0400
