=== debian/control ===
Source: gdk-pixbuf
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
           Iain Lane <laney@debian.org>,
           Jeremy Bicha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               dh-exec,
               gi-docgen,
               gir1.2-gio-2.0-dev,
               gir1.2-gmodule-2.0-dev,
               gobject-introspection (>= 1.80),
               libglib2.0-dev,
               libglycin-2-dev (>= 2.0.1) [amd64 arm64 armhf loong64 ppc64el riscv64 s390x],
               libjpeg-dev [!amd64 !arm64 !armhf !loong64 !ppc64el !riscv64 !s390x],
               libpng-dev (<< 1.7) [!amd64 !arm64 !armhf !loong64 !ppc64el !riscv64 !s390x],
               libtiff-dev [!amd64 !arm64 !armhf !loong64 !ppc64el !riscv64 !s390x],
               meson,
               python3-docutils <!nodoc>,
               shared-mime-info,
               xsltproc <!noudeb>
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://www.gtk.org/
Vcs-Git: https://salsa.debian.org/gnome-team/gdk-pixbuf.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gdk-pixbuf

Package: libgdk-pixbuf-2.0-0
Architecture: any
Depends: glycin-thumbnailers [amd64 arm64 armhf loong64 ppc64el riscv64 s390x],
         libgdk-pixbuf2.0-common (>= ${source:Version}),
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libgdk-pixbuf2.0-bin [!amd64 !arm64 !armhf !loong64 !ppc64el !riscv64 !s390x]
Multi-Arch: same
Description: GDK Pixbuf library
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)

Package: libgdk-pixbuf2.0-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: GDK Pixbuf library (thumbnailer)
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the GDK pixdata compression utility, the thumbnailer
 and a utility for converting images into C code.

Package: libgdk-pixbuf2.0-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: GDK Pixbuf library - data files
 This package contains the common files and translations for the GDK
 Pixbuf library.

Package: libgdk-pixbuf-2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gdkpixbuf-2.0 (= ${binary:Version}),
         libgdk-pixbuf-2.0-0 (= ${binary:Version}),
         libgdk-pixbuf2.0-bin (= ${binary:Version}),
         libglib2.0-dev,
         libglycin-2-dev (>= 2.0.1) [amd64 arm64 armhf loong64 ppc64el riscv64 s390x],
         libjpeg-dev [!amd64 !arm64 !armhf !loong64 !ppc64el !riscv64 !s390x],
         libpng-dev (<< 1.7) [!amd64 !arm64 !armhf !loong64 !ppc64el !riscv64 !s390x],
         libtiff-dev [!amd64 !arm64 !armhf !loong64 !ppc64el !riscv64 !s390x],
         shared-mime-info,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${gir:Provides}
Description: GDK Pixbuf library (development files)
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the header files which are needed for using GDK Pixbuf.

Package: libgdk-pixbuf2.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: GDK Pixbuf library (documentation)
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the HTML documentation for the GDK Pixbuf library
 in /usr/share/doc/libgtk2.0-doc/ .

Package: libgdk-pixbuf2.0-0-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: libgdk-pixbuf-2.0-0-udeb (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GDK Pixbuf library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This transitional package depends on libgdk-pixbuf-2.0-0-udeb.

Package: libgdk-pixbuf-2.0-0-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GDK Pixbuf library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the minimal runtime library needed by
 the Debian installer.

Package: gir1.2-gdkpixbuf-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Provides: ${gir:Provides}
Description: GDK Pixbuf library - GObject-Introspection
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: gdk-pixbuf-tests
Architecture: any
Depends: libgdk-pixbuf-2.0-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: installed tests for the GDK Pixbuf library
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the installed tests for the GDK Pixbuf library.
