## gdk-pixbuf 2.44.5+dfsg

=== debian/changelog ===
gdk-pixbuf (2.44.5+dfsg-4) unstable; urgency=medium

  * Add patch to support JPEG2000 (Closes: #815612)
  * Bump minimum glycin to 2.0.8 for this to work

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Feb 2026 10:24:34 -0500

gdk-pixbuf (2.44.5+dfsg-3) unstable; urgency=medium

  * Re-enable glycin for loong64
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Feb 2026 07:00:40 -0500

gdk-pixbuf (2.44.5+dfsg-2) experimental; urgency=medium

  [ Alessandro Astone ]
  * d/control, d/rules: Enable glycin on i386

  [ Carlos Henrique Lima Melara ]
  * d/rules: remove useless if clause in dh_auto_test override

  [ Jeremy Bícha ]
  * Disable glycin for loong64 because it isn't fully bootstrapped yet.
    glycin is now enabled on all other Debian Release Architectures, but not
    enabled on any Debian ports.
  * Bump Standards Version to 4.7.3

  [ Simon McVittie ]
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Feb 2026 13:50:28 -0500

gdk-pixbuf (2.44.5+dfsg-1) experimental; urgency=medium

  * New upstream release
  * d/rules: Re-enable build test gating
  * d/p: Rebase patches
  * d/patches: Fix tests with older gdk-pixbuf installed in the rootfs
  * d/patches: Use the native xpm and xbm loaders instead of glycin

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 29 Jan 2026 10:56:51 +0100
