=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gdk-pixbuf
 Section: libs
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
            Iain Lane <laney@debian.org>,
@@ -15,28 +14,27 @@
                gir1.2-gmodule-2.0-dev,
                gobject-introspection (>= 1.80),
                libglib2.0-dev,
-               libglycin-2-dev (>= 2.0.1) [amd64 arm64 armhf loong64 ppc64el riscv64 s390x],
-               libjpeg-dev [!amd64 !arm64 !armhf !loong64 !ppc64el !riscv64 !s390x],
-               libpng-dev (<< 1.7) [!amd64 !arm64 !armhf !loong64 !ppc64el !riscv64 !s390x],
-               libtiff-dev [!amd64 !arm64 !armhf !loong64 !ppc64el !riscv64 !s390x],
+               libglycin-2-dev (>= 2.0.8) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x],
+               libjpeg-dev [!amd64 !arm64 !armhf !i386 !loong64 !ppc64el !riscv64 !s390x],
+               libpng-dev (<< 1.7) [!amd64 !arm64 !armhf !i386 !loong64 !ppc64el !riscv64 !s390x],
+               libtiff-dev [!amd64 !arm64 !armhf !i386 !loong64 !ppc64el !riscv64 !s390x],
                meson,
                python3-docutils <!nodoc>,
                shared-mime-info,
                xsltproc <!noudeb>
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.gtk.org/
 Vcs-Git: https://salsa.debian.org/gnome-team/gdk-pixbuf.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gdk-pixbuf
 
 Package: libgdk-pixbuf-2.0-0
 Architecture: any
-Depends: glycin-thumbnailers [amd64 arm64 armhf loong64 ppc64el riscv64 s390x],
+Depends: glycin-thumbnailers (>= 2.0.8) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x],
          libgdk-pixbuf2.0-common (>= ${source:Version}),
          shared-mime-info,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: libgdk-pixbuf2.0-bin [!amd64 !arm64 !armhf !loong64 !ppc64el !riscv64 !s390x]
+Recommends: libgdk-pixbuf2.0-bin [!amd64 !arm64 !armhf !i386 !loong64 !ppc64el !riscv64 !s390x]
 Multi-Arch: same
 Description: GDK Pixbuf library
  The GDK Pixbuf library provides:
@@ -73,10 +71,10 @@
          libgdk-pixbuf-2.0-0 (= ${binary:Version}),
          libgdk-pixbuf2.0-bin (= ${binary:Version}),
          libglib2.0-dev,
-         libglycin-2-dev (>= 2.0.1) [amd64 arm64 armhf loong64 ppc64el riscv64 s390x],
-         libjpeg-dev [!amd64 !arm64 !armhf !loong64 !ppc64el !riscv64 !s390x],
-         libpng-dev (<< 1.7) [!amd64 !arm64 !armhf !loong64 !ppc64el !riscv64 !s390x],
-         libtiff-dev [!amd64 !arm64 !armhf !loong64 !ppc64el !riscv64 !s390x],
+         libglycin-2-dev (>= 2.0.8) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x],
+         libjpeg-dev [!amd64 !arm64 !armhf !i386 !loong64 !ppc64el !riscv64 !s390x],
+         libpng-dev (<< 1.7) [!amd64 !arm64 !armhf !i386 !loong64 !ppc64el !riscv64 !s390x],
+         libtiff-dev [!amd64 !arm64 !armhf !i386 !loong64 !ppc64el !riscv64 !s390x],
          shared-mime-info,
          ${gir:Depends},
          ${misc:Depends},
